% Draws a figure of the pendulum based on its position in radians, with
% position being measured from the top
function draw_state(x1, filename, iterationCount)
    center_x = 5;
    center_y = 5;
    pend_length = 3;
    
    axis([0 10 0 10]);
    axis square;
    
    pend_x = center_x + pend_length * sin(x1);
    pend_y = center_y + pend_length * cos(x1);
    line([center_x pend_x],[center_y pend_y],'LineWidth',2);
    ball_rad = 0.3;
    rectangle('Position',[pend_x - ball_rad, pend_y - ball_rad, ball_rad*2, ball_rad*2],...
    'Curvature',[1,1],...
    'FaceColor','g');
    axis square;
    
    % Save to gif
    drawnow;
    frame = getframe(1);
    im = frame2im(frame);
    [indexedImage, map] = rgb2ind(im,256);
    if iterationCount == 1;
        imwrite(indexedImage,map,filename,'gif', 'Loopcount',inf,'DelayTime',0.015);
    else
        imwrite(indexedImage,map,filename,'gif','WriteMode','append','DelayTime',0.015);
    
end